<template>
  <li @click="$emit('toggleTodo',todo.id)" class="todo-item" :class="{ 'todo-item--done': todo.completed }">
    <div class="todo-item__status">
      <i class="bi bi-check2"></i>
    </div>
    <span class="todo-item__text"> {{ todo.title }}</span>
    <button @click="$emit('remove',todo.id)" class="todo-item__remove-button">
      <i class="bi bi-trash3"></i>
    </button>
  </li>
</template>
<script setup lang="ts">
import { Todo } from "../types/Todo";

interface Props {
  todo: Todo;
}
defineEmits<{
    (e:'remove',id:number):void,
    (e:'toggleTodo',id:number):void
}>()
defineProps<Props>();
</script>
